package ru.yandex.webmaster3.worker.digest.html;

import java.util.List;

import lombok.Data;

import ru.yandex.webmaster3.tanker.digest.html.HtmlNode;

@Data
public class DigestBlocks {
    private final HtmlNode digest;
    private final List<DigestBlockType> blockTypes;

    public static DigestBlocks empty(){
        return new DigestBlocks(null, List.of());
    }

    public boolean isEmpty(){
        return digest == null;
    }
}
